Subject: RE: [midcom] draft-ietf-midcom-requirements-01.txt

From: [email-masked]
Date: Mon, 25 Jun 2001 18:41:00 +0100

Christian,

Thanks for the email. I'll get to the other points later on but I wanted to
make some comments on your observations below first:-

> At a more general level, I find that the document is poorly organized,
> and is by no means a complete requirement document. Both section 5,
> General Protocol Requirements, and section 6, Agent and Middlebox
> association, fall in the classic mistake of explaining "how" 
> rather than
> explaining "what", i.e. proposing an architecture rather than 
> proposing
> an actual list of requirements. This is quite bad, since we 
> loose a lot
> of the rationales developed in the working group. The requirements
> should be derived from the framework and the scenarios; in fact, the
> scenario and requirement drafts should be merged.

I have given this proposal a bit of thought. I think the scenarios document
is a useful document and explains a number of the issues involved. However
some representative scenarios are already included in the Framework draft
(02) for good reasons. For example, that document already has some similar
text of this nature (see Section 7.1, 7.2, 7.3, Section 8). If it should be
merged anywhere, it should go into the Architecture and Framework document
since that covers more of the description of why the MIDCOM approach is
desired. Confusing requirements with tutorial information by putting the
scenarios text into the requirements document would therefore clearly not be
the right thing to do.  

> The requirement
> themselves should be split in three sections, functional requirement,
> i.e. how to pass enough data to make the scenario work, security
> requirements, and operational requirements, i.e. how to meet various
> performance and stability constraints.
> 

Isn't this the "classic mistake" of "how to" rather than "what"?

regards

Richard

_______________________________________________
midcom mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/midcom